mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.Runtime.Remoting.Contexts.IContextAttribute System.AttributeUsage(System.AttributeTargets.Class) System.Runtime.InteropServices.ComVisible(true)

Apply the current attribute to types that need custom proxies. You can use the ProxyAttribute class to intercept the new (New in Visual Basic) statement by deriving from the ProxyAttribute and placing the attribute on a child of ContextBoundObject. (Placing the proxy attribute on a child of MarshalByRefObject is not supported.)

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see [<topic://cpconLinkDemands>] and [<topic://cpconInheritanceDemands>].

Indicates that an object type requires a custom proxy.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default values.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MarshalByRefObject `` To be added

  Creates either an uninitialized or a transparent proxy, depending on whether the specified type can exist in the current context.

  An uninitialized or a transparent proxy.

  The object type to create an instance of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Proxies.RealProxy `` `` `` ``

  The current method is called when a proxy is created out of a instance that references a class that is marked with the attribute. Therefore, the method is used only when a is received from a return or parameter on a call, or during the activation of a client-activated object. The is not used for well-known object types.

  Creates an instance of a remoting proxy for a remote object described by the specified , and located on the server.

  The new instance of remoting proxy for the remote object that is described in the specified .

  The object reference to the remote object for which to create a proxy. The type of the server where the remote object is located. The server object. The context in which the server object is located.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` To be added

  Gets properties for a new context.

  The message for which the context is to be retrieved.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Boolean `` `` To be added

  Checks the specified context.

  The specified context.

  The context to be verified. The message for the remote call.